org.hibernate.search.engine.impl

## Class IncrementalSearchConfiguration

- java.lang.Object
- - org.hibernate.search.cfg.spi.SearchConfigurationBase
  - - org.hibernate.search.engine.impl.IncrementalSearchConfiguration

- All Implemented Interfaces:
    SearchConfiguration

      public class IncrementalSearchConfiguration
      extends SearchConfigurationBase

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncrementalSearchConfiguration(List<Class<?>> classes, Properties properties, SearchFactoryState factoryState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoaderService` | `getClassLoaderService()`
    `Class<?>` | `getClassMapping(String name)` Returns a `Class` from a String parameter.
    `Iterator<Class<?>>` | `getClassMappings()` Returns an iterator over the list of indexed classes
    `InstanceInitializer` | `getInstanceInitializer()` Returns the initializer to be used to initialize potentially lazy entities or collections.
    `SearchMapping` | `getProgrammaticMapping()`
    `Properties` | `getProperties()` Gets properties as a java.util.Properties object.
    `String` | `getProperty(String propertyName)` Gets a configuration property from its name or null if not present
    `Map<Class<? extends Service>,Object>` | `getProvidedServices()` Return the provided services.
    `org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()` Returns a reflection manager if already available in the environment null otherwise
    `boolean` | `isDeleteByTermEnforced()`
    `boolean` | `isIdProvidedImplicit()`
    `boolean` | `isIndexMetadataComplete()`
    `boolean` | `isTransactionManagerExpected()` By default Hibernate Search expects to execute in the context of a transaction, and will log warning when certain operations are executed out of such a scope.

    - ### Methods inherited from class org.hibernate.search.cfg.spi.SearchConfigurationBase

      `isJPAAnnotationsProcessingEnabled, isMultitenancyEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.cfg.spi.SearchConfiguration

      `getBeanResolver`

- - ### Constructor Detail

    - #### IncrementalSearchConfiguration

          public IncrementalSearchConfiguration(List<Class<?>> classes,
                                                Properties properties,
                                                SearchFactoryState factoryState)

  - ### Method Detail

    - #### getClassMappings

          public Iterator<Class<?>> getClassMappings()

      Description copied from interface: `SearchConfiguration`
      Returns an iterator over the list of indexed classes
      Returns:
        iterator of indexed classes.

    - #### getClassMapping

          public Class<?> getClassMapping(String name)

      Description copied from interface: `SearchConfiguration`
      Returns a `Class` from a String parameter.
      Parameters:
        `name` - the class name as string
      Returns:
        corresponding class instance

    - #### getProperty

          public String getProperty(String propertyName)

      Description copied from interface: `SearchConfiguration`
      Gets a configuration property from its name or null if not present
      Parameters:
        `propertyName` - - as a String.
      Returns:
        the property as a String

    - #### getProperties

          public Properties getProperties()

      Description copied from interface: `SearchConfiguration`
      Gets properties as a java.util.Properties object.
      Returns:
        a java.util.Properties object.
      See Also:
        `object`

    - #### getReflectionManager

          public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

      Description copied from interface: `SearchConfiguration`
      Returns a reflection manager if already available in the environment null otherwise
      Returns:
        ReflectionManager

    - #### getProgrammaticMapping

          public SearchMapping getProgrammaticMapping()

      Returns:
        the programmatic configuration or `null`

    - #### getProvidedServices

          public Map<Class<? extends Service>,Object> getProvidedServices()

      Description copied from interface: `SearchConfiguration`
      Return the provided services. These services are passed untouched by Hibernate Search. Provided services have priority over managed services (ie the ones using the service locator pattern).
      Returns:
        a map of service roles to service instances

    - #### isTransactionManagerExpected

          public boolean isTransactionManagerExpected()

      Description copied from class: `SearchConfigurationBase`
      By default Hibernate Search expects to execute in the context of a transaction, and will log warning when certain operations are executed out of such a scope.

      In most cases it is safest to default to `true`.

      Specified by:
        `isTransactionManagerExpected` in interface `SearchConfiguration`
      Overrides:
        `isTransactionManagerExpected` in class `SearchConfigurationBase`
      Returns:
        when returning `false` Search will avoid logging such warnings.

    - #### getInstanceInitializer

          public InstanceInitializer getInstanceInitializer()

      Description copied from interface: `SearchConfiguration`
      Returns the initializer to be used to initialize potentially lazy entities or collections.
      Specified by:
        `getInstanceInitializer` in interface `SearchConfiguration`
      Overrides:
        `getInstanceInitializer` in class `SearchConfigurationBase`
      Returns:
        the initializer to be used to initialize potentially lazy entities or collections.

    - #### isIndexMetadataComplete

          public boolean isIndexMetadataComplete()

      Description copied from class: `SearchConfigurationBase`

      In most cases it is safest to default to `false`.

      Specified by:
        `isIndexMetadataComplete` in interface `SearchConfiguration`
      Overrides:
        `isIndexMetadataComplete` in class `SearchConfigurationBase`
      Returns:
        `true` if it is safe to assume that the information we have about index metadata is accurate. This should be set to false for example if the index could contain Documents related to types not known to this SearchFactory instance.

    - #### isDeleteByTermEnforced

          public boolean isDeleteByTermEnforced()

      Specified by:
        `isDeleteByTermEnforced` in interface `SearchConfiguration`
      Overrides:
        `isDeleteByTermEnforced` in class `SearchConfigurationBase`
      Returns:
        `true` if regardless of `isIndexMetadataComplete` and the number of types present in the index it is safe to delete by term given that the underlying store guarantees uniqueness of ids

    - #### isIdProvidedImplicit

          public boolean isIdProvidedImplicit()

      Specified by:
        `isIdProvidedImplicit` in interface `SearchConfiguration`
      Overrides:
        `isIdProvidedImplicit` in class `SearchConfigurationBase`
      Returns:
        `true` if we should treat indexed entities as implicitly annotated with a `ProvidedId`, if no other Id is specified.

    - #### getClassLoaderService

          public ClassLoaderService getClassLoaderService()

      Returns:
        a classloader service for this configuration of Search. Access to the service is via the `ServiceManager.getClassLoaderService()`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved